Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::list< T > Class Template Reference

Doubly linked list template. More...

`#include <irrList.h>`

List of all members.

## Public Member Functions
ConstIterator | begin () const
| Gets first node.
Iterator | begin ()
| Gets first node.
void | clear ()
| Clears the list, deletes all elements in the list.
bool | empty () const
| Checks for empty list.
ConstIterator | end () const
| Gets end node.
Iterator | end ()
| Gets end node.
Iterator | erase (Iterator &it)
| Erases an element.
ConstIterator | getLast () const
| Gets last element.
Iterator | getLast ()
| Gets last element.
u32 | getSize () const
| Returns amount of elements in list.
void | insert_after (const Iterator &it, const T &element)
| Inserts an element after an element.
void | insert_before (const Iterator &it, const T &element)
| Inserts an element before an element.
| list (const list< T > &other)
| Copy constructor.
| list ()
| Default constructor for empty list.
void | operator= (const list< T > &other)
| Assignment operator.
void | push_back (const T &element)
| Adds an element at the end of the list.
void | push_front (const T &element)
| Adds an element at the begin of the list.
| ~list ()
| Destructor.
## Classes
class | ConstIterator
| List iterator for const access. More...
class | Iterator
| List iterator. More...
struct | SKListNode
| List element node with pointer to previous and next element in the list.

## Detailed Description

### template<class T>
class irr::core::list< T >

Doubly linked list template.

Definition at line 19 of file irrList.h.

## Constructor & Destructor Documentation

template<class T>

irr::core::list< T >::list | ( |  | ) | `[inline]`

Default constructor for empty list.

Definition at line 133 of file irrList.h.

template<class T>

irr::core::list< T >::list | ( | const list< T > & | other | ) | `[inline]`

Copy constructor.

Definition at line 138 of file irrList.h.

template<class T>

irr::core::list< T >::~list | ( |  | ) | `[inline]`

Destructor.

Definition at line 145 of file irrList.h.

## Member Function Documentation

template<class T>

ConstIterator irr::core::list< T >::begin | ( |  | ) | const`[inline]`

Gets first node.

Returns:
  A const list iterator pointing to the beginning of the list.

Definition at line 258 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::begin | ( |  | ) | `[inline]`

Gets first node.

Returns:
  A list iterator pointing to the beginning of the list.

Definition at line 250 of file irrList.h.

template<class T>

void irr::core::list< T >::clear | ( |  | ) | `[inline]`

Clears the list, deletes all elements in the list.

All existing iterators of this list will be invalid.

Definition at line 180 of file irrList.h.

Referenced by irr::core::list< irr::scene::ISceneNode * >::operator=(), and irr::core::list< irr::scene::ISceneNode * >::~list().

template<class T>

bool irr::core::list< T >::empty | ( |  | ) | const`[inline]`

Checks for empty list.

Returns:
  True if the list is empty and false if not.

Definition at line 198 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::end | ( |  | ) | const`[inline]`

Gets end node.

Returns:
  Const list iterator pointing to null.

Definition at line 274 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::end | ( |  | ) | `[inline]`

Gets end node.

Returns:
  List iterator pointing to null.

Definition at line 266 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::erase | ( | Iterator & | it | ) | `[inline]`

Erases an element.

Parameters:

  | it | Iterator pointing to the element which shall be erased.

Returns:
  Iterator pointing to next element.

Definition at line 347 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::getLast | ( |  | ) | const`[inline]`

Gets last element.

Returns:
  Const list iterator pointing to the last element of the list.

Definition at line 290 of file irrList.h.

template<class T>

Iterator irr::core::list< T >::getLast | ( |  | ) | `[inline]`

Gets last element.

Returns:
  List iterator pointing to the last element of the list.

Definition at line 282 of file irrList.h.

template<class T>

u32 irr::core::list< T >::getSize | ( |  | ) | const`[inline]`

Returns amount of elements in list.

Returns:
  Amount of elements in the list.

Definition at line 172 of file irrList.h.

template<class T>

void irr::core::list< T >::insert_after | ( | const Iterator & | it,
|  | const T & | element |
| ) |  |  | `[inline]`

Inserts an element after an element.

Parameters:

  | it | Iterator pointing to element after which the new element should be inserted.
  | element | The new element to be inserted into the list.

Definition at line 301 of file irrList.h.

template<class T>

void irr::core::list< T >::insert_before | ( | const Iterator & | it,
|  | const T & | element |
| ) |  |  | `[inline]`

Inserts an element before an element.

Parameters:

  | it | Iterator pointing to element before which the new element should be inserted.
  | element | The new element to be inserted into the list.

Definition at line 325 of file irrList.h.

template<class T>

void irr::core::list< T >::operator= | ( | const list< T > & | other | ) | `[inline]`

Assignment operator.

Definition at line 152 of file irrList.h.

template<class T>

void irr::core::list< T >::push_back | ( | const T & | element | ) | `[inline]`

Adds an element at the end of the list.

Parameters:

  | element | Element to add to the list.

Definition at line 206 of file irrList.h.

Referenced by irr::core::list< irr::scene::ISceneNode * >::operator=().

template<class T>

void irr::core::list< T >::push_front | ( | const T & | element | ) | `[inline]`

Adds an element at the begin of the list.

Parameters:

  | element,: | Element to add to the list.

Definition at line 227 of file irrList.h.

The documentation for this class was generated from the following file:

- irrList.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:09 2010 by Doxygen (1.5.6)